This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859762 - ovirt-engine-backend : search engine does not complete values for disks:bootable and disks:sharable
ovirt-engine-backend : search engine does not complete values for disks:boota...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
vvyazmin@redhat.com
infra
: FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-23 17:01 EDT by Oded Ramraz
Modified: 2016-02-10 14:08 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:10:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-09-23 17:01:18 EDT
Description of problem:

search engine does not complete values for boolean fields.
few examples :
disks:bootable=
disks:shareable- 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ravi Nori 2012-11-19 14:38:04 EST
The other boolean fields are already handled. This patch fixes the completion of boolean fields disks:bootable and disks:shareable

link : http://gerrit.ovirt.org/#/c/9341/

Change Id : Ia0a3a9c1fa6186c426d764afd11875e80478912b
Comment 2 Allon Mureinik 2012-12-12 12:27:16 EST
Fixed title to represent Ravi's analysis in comment 1
Comment 3 vvyazmin@redhat.com 2012-12-30 08:15:08 EST
Verified on RHEVM 3.2 - SF02 environment 

RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 4 Cheryn Tan 2013-04-03 02:52:52 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 5 errata-xmlrpc 2013-06-10 17:10:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.